#include <cdevTagMap.h>

char * version1Names[] =
	{
	"Version 1 Tag 100",
	"Version 1 Tag 101",
	"Version 1 Tag 102",
	"Version 1 Tag 103"
	};

int version1Tags[] =
	{
	100, 101, 102, 103
	};

char * version2Names[] =
	{
	"Version 2 Tag 100",
	"Version 2 Tag 101",
	"Version 2 Tag 102",
	"Version 2 Tag 103"
	};

int version2Tags[] =
	{
	103, 102, 101, 100
	};
	
int main()
{
cdevTagMap map;
cdevData version1Data;
cdevData version2Data;
version1Data.insert(1, version1Tags, 4);
version1Data.insert(2, version1Names, 4);
version2Data.insert(1, version2Tags, 4);
version2Data.insert(2, version2Names, 4);

// map.updateTagMap (version1Names, version1Tags, 4);
// map.updateTagMap (version2Names, version2Tags, 4);
map.updateTagMap(version1Data);
map.updateTagMap(version2Data);

map.asciiDump(stdout);

cdevData data;

data.insert(103, "Version 2 Tag 100");
data.insert(102, "Version 2 Tag 101");
data.insert(101, "Version 2 Tag 102");
data.insert(100, "Version 2 Tag 103");
map.remoteToLocal(data);
data.asciiDump();
map.localToRemote(data);
data.asciiDump();

return 0;
}
